%define cpanname Net-Server

Name:    perl-%{cpanname}
Version: 0.97
Release: 9%{?dist}
Summary: Extensible, general Perl server engine

Group:     Development/Libraries
License:   GPL+ or Artistic
URL:       http://search.cpan.org/dist/%{cpanname}/
Source0:   http://cpan.org/authors/id/R/RH/RHANDOM/%{cpanname}-%{version}.tar.gz
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildArch:     noarch
BuildRequires: perl(ExtUtils::MakeMaker)
# Check requirements
BuildRequires: perl(IO::Multiplex)
BuildRequires: perl(Test::Builder)

Requires: perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
# IO::Multiplex support is optional, but since it's in Fedora and not
# including it causes build problems in some packages…
Requires: perl(IO::Multiplex)

%description
An extensible, class oriented module written in perl and intended to
be the back end layer of internet protocol servers.


%prep
%setup -q -n %{cpanname}-%{version}
chmod u+rw-x,go-rwx examples/*

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -fr %{buildroot}
make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'

chmod -R u+rwX,go-rwx %{buildroot}/*

%check
make test


%clean
rm -fr %{buildroot}


%files
%defattr(0644,root,root,0755)
%doc README Changes examples

%dir %{perl_vendorlib}/Net/
%dir %{perl_vendorlib}/Net/Server

%{perl_vendorlib}/Net/Server.pm
%{perl_vendorlib}/Net/Server.pod
%{perl_vendorlib}/Net/Server/*

%{_mandir}/man?/Net::Server*


%changelog
* Tue May 04 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.97-9
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.97-8
- rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.97-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.97-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Jul 11 2008 <nicolas.mailhot at laposte.net>
- 0.97-5
⌖ Fedora 10 alpha general package cleanup

* Mon Jun 02 2008 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 0.97-3
⋰ remove old %%check Dag leftover rpmbuild does not like anymore

* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com>
- 0.97-2
Rebuild for new perl

* Sun Aug 12 2007 Nicolas Mailhot <nicolas.mailhot at laposte.net>
⍟ 0.97-1

* Fri May 18 2007 Nicolas Mailhot <nicolas.mailhot at laposte.net>
⍟ 0.96-2
- more build checks
⍟ 0.96-1
- trim changelog

* Tue Mar 20 2007 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 0.95-1 

* Sat Sep 02 2006 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 0.94-2
- FE6 Rebuild

* Sun Jul 30 2006 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 0.94-1

* Sun Apr 23 2006 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 0.93-1

* Mon Feb 13 2006 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 0.90-2
- rebuilt for new gcc4.1 snapshot and glibc changes

* Sun Jan 8 2006 Nicolas Mailhot <nicolas.mailhot at laposte.net>
- 0.90-1
- Updated to 0.90
- add IO::Multiplex dep
